# vim: set ft=spec: -*- rpm-spec -*-

Name: ruby-pg
Version: 0.8.0
Release: alt2

Summary: Ruby interface to PostgreSQL RDBMS
Group: Development/Ruby
License: GPLv2
Url: http://rubyforge.org/projects/ruby-pg/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Sun Aug 31 2008 (-bi)
BuildRequires: libruby-devel postgresql-devel

%description
This is the extension library to access a PostgreSQL database
from Ruby. This library works with PostgreSQL 6.4-8.x; it
probably works with 6.3 or earlier with slight modification,
but not tested at all.

%package doc
Summary: Documentation files for %name
Group: Documentation
Conflicts: ruby-postgres-doc

%description doc
Documentation files for %name

%prep
%setup
%patch -p1

%build
pushd ext
%ruby_configure
%make_build
popd

%install
pushd ext
%make_install DESTDIR=%buildroot install
%rdoc pg.c
popd

%files
%doc Contributors ChangeLog README
%ruby_sitearchdir/*

%files doc
%doc sample
%ruby_ri_sitedir/PG*

%changelog
* Mon Aug 17 2009 Alexey I. Froloff <raorn@altlinux.org> 0.8.0-alt2
- Applied m17n patch by Yuki Sonoda and Nikolai Lugovoi

* Wed May 13 2009 Alexey I. Froloff <raorn@altlinux.org> 0.8.0-alt1
- [0.8.0]

* Sun Aug 31 2008 Sir Raorn <raorn@altlinux.ru> 0.7.9.2008.08.17-alt1
- Built for Sisyphus

